# Uses of Class
javax.help.TreeItem

Packages that use TreeItem
Package
Description
javax.help
Supports presentation of online documentation with both content and contextual views of this information.

## Uses of TreeItem in javax.help

Subclasses of TreeItem in javax.help
Modifier and Type
Class
Description
`class`
`FavoritesItem`
A class for individual favorites items.
`class`
`IndexItem`
A class for individual index items.
`class`
`SearchTOCItem`
Stores Search TOC items.
`class`
`TOCItem`
A class for individual TOC items
Methods in javax.help that return TreeItem
Modifier and Type
Method
Description
`TreeItem`
FavoritesView.DefaultFavoritesFactory.`createItem()`
Creates a default FavoritesItem.
`TreeItem`
FavoritesView.DefaultFavoritesFactory.`createItem(String tagName, Hashtable atts, HelpSet hs, Locale locale)`
Creates an FavoritesItem with the given data.
`TreeItem`
IndexView.DefaultIndexFactory.`createItem()`
Creates a default IndexItem.
`TreeItem`
IndexView.DefaultIndexFactory.`createItem(String tagName, Hashtable atts, HelpSet hs, Locale locale)`
Creates an IndexItem with the given data.
`TreeItem`
TOCView.DefaultTOCFactory.`createItem()`
Creates a default TOCItem.
`TreeItem`
TOCView.DefaultTOCFactory.`createItem(String tagName, Hashtable atts, HelpSet hs, Locale locale)`
Create an TOCItem with the given data.
`TreeItem`
TreeItemFactory.`createItem()`
Creates a default TreeItem.
`TreeItem`
TreeItemFactory.`createItem(String tagName, Hashtable attributes, HelpSet hs, Locale locale)`
Creates a TreeItem from the given data.
`TreeItem[]`
JHelp.`getSelectedItems()`
Returns a list of selected items from the current navigator
`TreeItem[]`
JHelpNavigator.`getSelectedItems()`
Returns a list of selected items
Methods in javax.help with parameters of type TreeItem
Modifier and Type
Method
Description
`void`
JHelpNavigator.`setSelectedItems(TreeItem[] selectedItems)`
Sets the list of selected items